Bug 893115 - [ovirt-engine-backend] Fail to "RUN ONCE" VM (NPE @ businessentities.VmPayload.isPayload )
[ovirt-engine-backend] Fail to "RUN ONCE" VM (NPE @ businessentities.VmPayloa...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity urgent
: ---
: 3.2.0
Assigned To: Roy Golan
Jiri Belka
virt
: Regression, TestBlocker
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2013-01-08 10:54 EST by Tareq Alayan
Modified: 2013-06-11 05:50 EDT (History)
8 users (show)

See Also:
Fixed In Version: sf4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot[1] (95.61 KB, image/png)
2013-01-08 10:55 EST, Tareq Alayan
no flags Details
engine.log[2] (101.22 KB, application/zip)
2013-01-08 10:57 EST, Tareq Alayan
no flags Details

  None (edit)
Description Tareq Alayan 2013-01-08 10:54:55 EST
Description of problem:
Unable to execute "Run once" vm

Version-Release number of selected component (if applicable):
sf3

How reproducible:
always

Steps to Reproduce:
1. import a shared iso domain
2. create a vm
3. click on run once -> Boot options -> attach CDROM
4. set boot sequence to CDROM to be first
5. click ok

  
Actual results:
1. see attached screen shot[1]
2. snippet of engine.log[2] 

Expected results:
succesfully installing whatever in cdrom in that case winxp

Additional info:
Comment 1 Tareq Alayan 2013-01-08 10:55:28 EST
Created attachment 674920 [details]
screenshot[1]
Comment 2 Tareq Alayan 2013-01-08 10:57:27 EST
Created attachment 674921 [details]
engine.log[2]
Comment 3 Tareq Alayan 2013-01-08 10:59:05 EST
log snippet:
2013-01-08 17:50:29,611 ERROR [org.ovirt.engine.core.vdsbroker.VDSCommandBase] (ajp-/127.0.0.1:8702-9) [2e1eba6e] Command CreateVDS execution failed. Exception: NullPointerException: 
2013-01-08 17:50:29,611 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.CreateVDSCommand] (ajp-/127.0.0.1:8702-9) [2e1eba6e] FINISH, CreateVDSCommand, log id: 4766e571
2013-01-08 17:50:29,611 ERROR [org.ovirt.engine.core.vdsbroker.CreateVmVDSCommand] (ajp-/127.0.0.1:8702-9) [2e1eba6e] Error in excuting CreateVmVDSCommand: java.lang.NullPointerException
        at org.ovirt.engine.core.common.businessentities.VmPayload.isPayload(VmPayload.java:47) [engine-common.jar:]
        at org.ovirt.engine.core.vdsbroker.vdsbroker.VmInfoBuilder.addDevice(VmInfoBuilder.java:520) [engine-vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.vdsbroker.VmInfoBuilder.buildVmCD(VmInfoBuilder.java:143) [engine-vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.vdsbroker.CreateVDSCommand.buildVmData(CreateVDSCommand.java:62) [engine-vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.vdsbroker.CreateVDSCommand.ExecuteVdsBrokerCommand(CreateVDSCommand.java:24) [engine-vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.vdsbroker.VdsBrokerCommand.ExecuteVDSCommand(VdsBrokerCommand.java:92) [engine-vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.VDSCommandBase.ExecuteCommand(VDSCommandBase.java:63) [engine-vdsbroker.jar:]
        at org.ovirt.engine.core.dal.VdcCommandBase.Execute(VdcCommandBase.java:28) [engine-dal.jar:]
        at org.ovirt.engine.core.vdsbroker.CreateVmVDSCommand.ExecuteVdsIdCommand(CreateVmVDSCommand.java:61) [engine-vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.VdsIdVDSCommandBase.ExecuteVDSCommand(VdsIdVDSCommandBase.java:42) [engine-vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.VDSCommandBase.ExecuteCommand(VDSCommandBase.java:63) [engine-vdsbroker.jar:]
        at org.ovirt.engine.core.dal.VdcCommandBase.Execute(VdcCommandBase.java:28) [engine-dal.jar:]
        at org.ovirt.engine.core.vdsbroker.ResourceManager.runVdsCommand(ResourceManager.java:362) [engine-vdsbroker.jar:]
        at org.ovirt.engine.core.bll.VDSBrokerFrontendImpl.RunVdsCommand(VDSBrokerFrontendImpl.java:33) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.VDSBrokerFrontendImpl.RunAsyncVdsCommand(VDSBrokerFrontendImpl.java:48) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.RunVmCommand.createVm(RunVmCommand.java:428) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.RunVmCommand.runVm(RunVmCommand.java:204) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.RunVmCommand.executeVmCommand(RunVmCommand.java:272) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.VmCommand.executeCommand(VmCommand.java:81) [engine-bll.jar:]
Comment 7 Jiri Belka 2013-02-06 05:25:09 EST
ok, sf5, no problem to start new server|desktop (no disk, no nics) from iso located on iso domain.
Comment 8 Itamar Heim 2013-06-11 05:34:44 EDT
3.2 has been released
Comment 9 Itamar Heim 2013-06-11 05:34:51 EDT
3.2 has been released
Comment 10 Itamar Heim 2013-06-11 05:50:18 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.